<?php

namespace AppBundle\Repository;

/**
 * RapportiBSRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class RapportiBSRepository extends \Doctrine\ORM\EntityRepository
{
    
    
     public function findInterval($rapporto){
        return $this->getEntityManager()
            ->createQuery(
               'SELECT e
                FROM AppBundle:RapportiBS e
                WHERE  e.min < :rpt AND :rpt <= e.max'
                   )
            ->setParameter('rpt', $rapporto)
            ->getResult();
        
    }
}
